{% load static %}
<!-- Card with a form for adding or removing interests -->
<div class="card">
    <div class="card-body">
        <h5 class="card-title">Choose your new interest</h5>
        <h6 class="card-subtitle mb-2 text-muted">Or delete existing</h6>
        <div class="card-text">
            <!-- Interest's form -->
            <form action="{% url 'interests_add_or_remove_url' pk=user.pk %}" enctype="multipart/form-data" method="post">
                {% csrf_token %}
                <div class="mt-4 interests_scrollable">
                    {{ form_of_interest.user_interests }}
                </div>
                <div class="mt-2 text-danger">
                    <!-- Using messages from view instead of errors -->
                    {% if messages %}
                        {% for message in messages %}
                            {{ message|safe }}
                        {% endfor %}
                    {% endif %}
                </div>
                <div class="mt-4">
                    <button type="submit" class="btn btn-dark" name="add_interest">+ Add</button>
                    <button type="submit" class="btn btn-danger" name="delete_interest">Delete</button>
                </div>
            </form>
        </div>
    </div>
</div>